/*
** cumulative t distribution (not standardized)
**
**  d = cdft2(y,mu,s,nu);
**
**  INPUT:
**  y = value of the variable
**  mu = mean
**  s = sqrt(scatter)
**  nu = degrees of freedom
**
**  OUTPUT:
**  p = Prob(Y<y|mu,s,nu), where y is a realization of the r.v. Y
**
*/
#include probs.src;
proc cdft2(y,mu,s,nu);
  retp( cdft((y-mu)./s,nu) );
endp;
