#############################################################
# Author: Michael Tomz
# Date: Dec 20, 2001
# Format: SPlus 2000 Command File
# Purpose: Replicate Figure 1 (Prob tolerable) in Section 4
#############################################################

inlist <- as.list(numeric(7))
names(inlist) <- c("range", "v1s", "v2s", "v3s", "v1k", "v2k", "v3k")
figure1 <- scan("f:\\ttw\\figure1.out", what=inlist, multi.line=T)
attach(figure1)
postscript("f:\\ttw\\Fig1a.ps", horizontal=T)
par(mar=c(7,8,2,0))
plot(range, v1s, type="l", xlim=c(0,5), ylim=c(0,1), lwd=4, axes=F, xlab="", ylab="")
axis(1,at=c(0,1,2,3,4,5), labels=c(0,1,2,3,4,5), pos=-.05,cex=2.5)
axis(2,at=c(0,.2,.4,.6,.8,1), labels=c(0,.2,.4,.6,.8,1), adj=1, cex=2.5)
lines(range, v2s, lty=4, lwd=4)
text(4.3,.73,"SUR", cex=2.5)
text(3.8,.9,"KK",cex=2.5)
text(2.5,-.25,"Error Tolerance (%)", cex=2.5)
text(-1.2,.5,"Probability",cex=2.5,srt=90)
text(0,1.05,"Large Party",cex=2.5,adj=0)
dev.off()

postscript("f:\\ttw\\Fig1b.ps", horizontal=T)
par(mar=c(7,8,2,0))
plot(range, v3s, type="l", xlim=c(0,5), ylim=c(0,1), lwd=4, axes=F, xlab="", ylab="")
axis(1,at=c(0,1,2,3,4,5), labels=c(0,1,2,3,4,5), pos=-.05,cex=2.5)
axis(2,at=c(0,.2,.4,.6,.8,1), labels=c(0,.2,.4,.6,.8,1), adj=1, cex=2.5)
lines(range, v3k, lty=4, lwd=4)
text(1.8,.7,"SUR", cex=2.5)
text(1.0,.8,"KK",cex=2.5)
text(2.5,-.25,"Error Tolerance (%)", cex=2.5)
# text(-1.2,.5,"Probability",cex=2.5,srt=90)
text(0,1.05,"Small Party",cex=2.5,adj=0)
dev.off()
detach("figure1")
