/*
** log of the gamma function of x.
**
*/
proc lng(x);
    local x2, x3, c, ys, yp, mask, brkpnt;
    brkpnt = 1;  /* for x below this, use direct computation */
    if not (x >= 0); /* some negative x's */
       "ERROR: Arguments must all be non-negative."; end;
     endif;
        /* x = x + 1;  if this is commented, the function computes ln gamma */
    brkpnt = brkpnt + 1;
    if (x > brkpnt); /* all x's greater than this -- use stirling's approx. */
       gosub stirling; retp( ys );
    elseif (x <= brkpnt); /* all x's less than this -- use ln(gamma) */
       gosub lngamma; retp( yp );
    else;           /* some x's of each type -- combine estimates */
       gosub stirling;
       gosub lngamma;
    mask = (x .> brkpnt);
    retp( ys.*mask + yp.*(.not mask) );
    endif;
    /* ----------------- subroutines follow ----------------------- */
    stirling: /* stirling's approx */
      x2 = x.*x; x3 = x.*x2;
      ys = 0.5 * ln(2*pi) + (x - 0.5) .* ln(x) - x
      + 1./(12.*x) - 1./(360.*x3) + 1./(1260.*x3.*x2) - 1./(1680.*x3.*x2.*x2)
      + 1./(1188.*x3.*x2.*x2.*x2);
    return;
    lngamma:
      yp = ln( gamma(x) );
    return;
    endp;

