/************************************************************
Proc to compute a confidence interval
Inputs: 
        IVEC, a matrix of values
        TTSIG, two-tailed significance (e.g., 95)
Outputs:
         CILU - 1x2 vector holding lower and upper bounds
*************************************************************/
proc (1) = makeci(ivec,ttsig);
   local cil,ciu,cilu,c,q,temp;
   ttsig=(100-ttsig)/100;
   c=cols(ivec); 
   cilu = {};
   for q (1,c,1);
     temp=ivec[.,q];
     temp=sortc(temp,1);                     @ Sort values @
     cil=temp[floor(rows(temp)*ttsig/2)];    @ Lower CI bound @
     ciu=temp[ceil(rows(temp)*(1-ttsig/2))]; @ Upper CI bound @
     cilu = cilu | (cil~ciu);
   endfor;
   retp(cilu);                               @ Return CI @
endp;
