#############################################################
# Author: Michael Tomz
# Date: Dec 20, 2001
# Format: SPlus 2000 Command File
# Purpose: Replicate Figure 2 (Expected Vote) in Section 5.2
#############################################################

import.data(DataFrame="evplot", FileName="f:\\ttw\\evplot.dta", FileType = "STATA")
attach(evplot)

# Top Left
postscript("f:\\ttw\\Fig2a.ps", horizontal=T)
par(pty="s")
par(mar=c(7,1,2.5,1))
plot(ev1c[fully==1],ev1[fully==1],xlim=c(0,1),xaxs="i",ylim=c(0,1),yaxs="i",ylab="",xlab="",axes=F)
abline(0,1)
axis(1,at=c(0,.2,.4,.6,.8,1), labels=c(0,".2",".4",".6",".8",1), pos=0,cex=2.5)
axis(2,at=c(0,.2,.4,.6,.8,1), labels=c(0,".2",".4",".6",".8",1), adj=1, cex=2.5)
text(-.2,.5,"Expected Vote (KK)",cex=2.5,srt=90)
text(.03,1.05,"Conservative Party",cex=2.5,adj=0)
dev.off()

# Top Right
postscript("f:\\ttw\\Fig2b.ps", horizontal=T)
par(pty="s")
par(mar=c(7,1,2.5,1))
plot(ev2c[fully==1],ev2[fully==1],xlim=c(0,1),xaxs="i",ylim=c(0,1),yaxs="i",ylab="",xlab="",axes=F)
abline(0,1)
axis(1,at=c(0,.2,.4,.6,.8,1), labels=c(0,".2",".4",".6",".8",1), pos=0,cex=2.5)
axis(2,at=c(0,.2,.4,.6,.8,1), labels=c(0,".2",".4",".6",".8",1), adj=1, cex=2.5)
text(.03,1.05,"Labour Party",cex=2.5,adj=0)
dev.off()

# Bottom Left
postscript("f:\\ttw\\Fig2c.ps", horizontal=T)
par(pty="s")
par(mar=c(7,1,2.5,1))
plot(ev3c[fully==1],ev3[fully==1],xlim=c(0,1),xaxs="i",ylim=c(0,1),yaxs="i",ylab="",xlab="",axes=F)
abline(0,1)
axis(1,at=c(0,.2,.4,.6,.8,1), labels=c(0,".2",".4",".6",".8",1), pos=0,cex=2.5)
axis(2,at=c(0,.2,.4,.6,.8,1), labels=c(0,".2",".4",".6",".8",1), adj=1, cex=2.5)
text(.5,-.2,"Expected Vote (SUR)", cex=2.5)
text(-.2,.5,"Expected Vote (KK)",cex=2.5,srt=90)
text(.03,1.05,"Liberal Party",cex=2.5,adj=0)
dev.off()

# Bottom Right
postscript("f:\\ttw\\Fig2d.ps", horizontal=T)
par(pty="s")
par(mar=c(7,1,2.5,1))
plot(ev1c[fully==0],ev1of12[fully==0],xlim=c(0,1),xaxs="i",ylim=c(0,1),yaxs="i",ylab="",xlab="",axes=F)
abline(0,1)
axis(1,at=c(0,.2,.4,.6,.8,1), labels=c(0,".2",".4",".6",".8",1), pos=0,cex=2.5)
axis(2,at=c(0,.2,.4,.6,.8,1), labels=c(0,".2",".4",".6",".8",1), adj=1, cex=2.5)
text(.5,-.2,"Expected Vote (SUR)", cex=2.5)
# text(-.2,.5,"Expected Vote (KK)",cex=2.5,srt=90)
text(.03,1.05,"Conservative Party",cex=2.5,adj=0)
text(.03,.965,"in PC Districts",cex=2.5,adj=0)
dev.off()

detach("evplot")

