#############################################################
# Author: Michael Tomz
# Date: Dec 20, 2001
# Format: SPlus 2000 Command File
# Purpose: Replicate Figure 4 (Incumbency Adv) in Section 5.4
#############################################################

 import.data(DataFrame="incumb", FileName="F:\\ttw\\incumb.dta", FileType = "STATA")
 postscript("f:\\ttw\\Fig4a.ps", horizontal=T)
 shift <- .07
 attach(incumb)
 plot(x-shift,conp,ylim=c(-6,6),xlim=c(1,10), pch=16, ylab="", xlab="", axes=F, mkh=.1)
 points(x+shift,conpk, pch=4, mkh=.15)
 i <- 1
 while(i<=10)
 {
    lo <- c(i-shift,conplo[i])
    hi <- c(i-shift,conphi[i])
    dta <- rbind(hi,lo)
    lines(dta, lwd=5)    
    lo <- c(i+shift,conplok[i])
    hi <- c(i+shift,conphik[i])
    dta <- rbind(hi,lo)
    lines(dta, lwd=5)
    i <- i+1
 }
 axis(1,at=c(1,2,3,4,5,6,7,8,9,10), labels=c("59","64","66","70","74F","74O","79","83","87","92"), cex=1.75)
 axis(2,at=c(-6,-3,0,3,6), labels=c(-6,-3,0,3,6), adj=1, cex=1.75)
 text(5.5,-8.5,"Election", cex=2.2)
 text(.8,6.5,"Conservative Incumbent",cex=2.2,adj=0)
 abline(0,0,lty=4)
 dev.off()

 postscript("f:\\ttw\\Fig4b.ps", horizontal=T)
 plot(x-shift,labp,ylim=c(-6,6),xlim=c(1,10), pch=16, ylab="", xlab="", axes=F, mkh=.1)
 points(x+shift,labpk, pch=4, mkh=.15)
 i <- 1
 while(i<=10)
 {
    lo <- c(i-shift,labplo[i])
    hi <- c(i-shift,labphi[i])
    dta <- rbind(hi,lo)
    lines(dta, lwd=5)    
    lo <- c(i+shift,labplok[i])
    hi <- c(i+shift,labphik[i])
    dta <- rbind(hi,lo)
    lines(dta, lwd=5)
    i <- i+1
 }
 axis(1,at=c(1,2,3,4,5,6,7,8,9,10), labels=c("59","64","66","70","74F","74O","79","83","87","92"), cex=1.75)
 axis(2,at=c(-6,-3,0,3,6), labels=c(-6,-3,0,3,6), adj=1, cex=1.75)
 text(5.5,-8.5,"Election", cex=2.2)
 text(.8,6.5,"Labour Incumbent",cex=2.2,adj=0)
 abline(0,0,lty=4)
 dev.off()


 postscript("f:\\ttw\\Fig4c.ps", horizontal=T)
 plot(x[x>1]-shift,libp[x>1],ylim=c(-15,15),xlim=c(1,10), pch=16, ylab="", xlab="", axes=F, mkh=.1)
 points(x[x>1]+shift,libpk[x>1], pch=4, mkh=.15)
 i <- 2
 while(i<=10)
 {
    lo <- c(i-shift,libplo[i])
    hi <- c(i-shift,libphi[i])
    dta <- rbind(hi,lo)
    lines(dta, lwd=5)    
    lo <- c(i+shift,libplok[i])
    hi <- c(i+shift,libphik[i])
    dta <- rbind(hi,lo)
    lines(dta, lwd=5)
    i <- i+1
 }
 axis(1,at=c(1,2,3,4,5,6,7,8,9,10), labels=c("59","64","66","70","74F","74O","79","83","87","92"), cex=1.75)
 axis(2,at=c(-15,-10,-5,0,5,10,15), labels=c(-15,-10,-5,0,5,10,15), adj=1, cex=1.75)
 text(5.5,-21,"Election", cex=2.2)
 text(.8,16.5,"Liberal Incumbent",cex=2.2,adj=0)
 abline(0,0,lty=4)
 dev.off()

 detach("incumb")
